#include <amsculib3/amsculib3.hpp>

//using namespace ams;
using namespace amscuda;

int main(int argc, char* argv[])
{
    printf("AMSCULIB3: Cuda Library Tests.\n");

    //test_amscuarray_1();
    //test_amscumath1();

    //cmp::test_cucomp64_1();
    //cmp::test_cucomp128_1();

    //test_amscuarray_2();

    //test_dprg64();
    //printf("\n");
    //test_dprg32();

    //test_dbuff_rand_dpr32();

    //test_amscurarray1();

    return 0;
}